#include "colors.inc"

#declare RedLight=
union{
  lathe
  {
    cubic_spline 
    9
    <1.32,2.82>
    <1.64,2.97>
    <1.8,2.88>
    <1.78,2.12>
    <1.52,2.>
    <0.85,1.98>
    <0.53,1.61>
    <0.5,-0.03>
    <0.56,-0.56>
    texture{
      pigment{  White*0.5 }     
      normal{bumps bump_size 0.5 scale 0.001}
      finish{phong 0.9 phong_size 100 }
    }
    
  }
  
  union{
    difference{
      cone{<0,2.8,0>1.7<0,6,0>1.54}
      union{
        #declare N=0;
        #while (N<360)
          cylinder{<0,3,1.7><0,5.8,1.54> 0.1  rotate N*y}
          #declare N=N+10;
        #end
        texture{
          pigment{rgbt<0.5,0.,0,0.1>}
          finish{phong 0.9 phong_size 100 }
        }
      }
    }
    torus{1.14,0.4 translate<0,6,0>}
    
    texture{
      pigment{rgbt<0.75,0,0,0.1>}
      finish{phong 0.9 phong_size 100 }
    }
  } 
  scale 0.15
} 
#declare GreenLight=
union{
  lathe
  {
    cubic_spline 
    9
    <1.32,2.82>
    <1.64,2.97>
    <1.8,2.88>
    <1.78,2.12>
    <1.52,2.>
    <0.85,1.98>
    <0.53,1.61>
    <0.5,-0.03>
    <0.56,-0.56>
    texture{
      pigment{  White*0.5 }     
      normal{bumps bump_size 0.5 scale 0.001}
      finish{phong 0.9 phong_size 100 }
    }
    
  }
  
  union{
    sphere{<0,0,0>1 
      pigment {
        cylindrical
        color_map{
         [0 rgbt<1,1,1,1>]
         [1 White*8]
        } 
        rotate 90*x 
      }  
      scale 1.5
      translate 4.6*y
    }   

  
    difference{
      cone{<0,2.8,0>1.7<0,6,0>1.54}
      union{
        #declare N=0;
        #while (N<360)
          cylinder{<0,3,1.7><0,5.8,1.54> 0.1  rotate N*y}
          #declare N=N+10;
        #end
        texture{
          pigment{rgbt<0,0.5,0,0.4>}
          finish{phong 0.9 phong_size 100 }
        }
      }
    }
    
    torus{1.14,0.4 translate<0,6,0>}
    
    texture{
      pigment{rgbt<0,0.2,0,0.1>}
      finish{phong 0.9 phong_size 100 }
    }
  } 
  scale 0.15
} 
